org.eclipse.jetty.annotations

## Class PostConstructAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
  - - org.eclipse.jetty.annotations.PostConstructAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class PostConstructAnnotationHandler
    extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

### Field Summary

Fields
`protected WebAppContext` `_context`

### Constructor Summary

Constructors
Constructor and Description
`PostConstructAnnotationHandler(WebAppContext wac)`

### Method Summary

Methods
`void` `doHandle(Class clazz)`

### Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

`handle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _context

    protected WebAppContext _context

### Constructor Detail

#### PostConstructAnnotationHandler

    public PostConstructAnnotationHandler(WebAppContext wac)

### Method Detail

#### doHandle

    public void doHandle(Class clazz)

Specified by:
  `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`